Get deployment
curl --request GET \
--url https://automate.ax/api/v1/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://automate.ax/api/v1/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://automate.ax/api/v1/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorization": {
"requirements": [
{
"binding": "<string>",
"satisfied": true,
"serviceId": "<string>"
}
],
"url": "<string>"
},
"automations": [
{
"description": "<string>",
"id": "<string>",
"identityKey": "<string>",
"scopes": [
{
"path": [
4503599627370495
],
"presentation": "collapsed",
"name": "<string>"
}
],
"subscriptions": [
{
"config": "<string>",
"eventType": "<string>",
"hookSlot": 4503599627370495,
"scopePath": []
}
],
"parameterIssues": [
"<string>"
],
"parameters": [
null
],
"parameterValues": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"failure": {
"message": "<string>"
},
"id": "<string>",
"git": {
"commitSha": "<string>",
"dirty": true,
"projectPath": "<string>",
"repositoryUrl": "<string>"
},
"project": {
"id": "<string>",
"name": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
}
},
"status": "planning"
}Deployments
Get deployment
Returns normalized deployment status, authorization requirements, and planned automations.
GET
/
deployments
/
{deploymentId}
Get deployment
Authorizations
Automate.ax user session bearer token.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
planning, awaiting_authorization, configuring, publishing, succeeded, failed, cancelled